Part Cubo
|
Ubicación en el Menú |
---|
Pieza → Primitivas → Cubo |
Entornos de trabajo |
Part |
Atajo de teclado por defecto |
Ninguno |
Introducido en versión |
- |
Ver también |
Part Crear primitivas |
Descripción
El comando Part Caja crea un sólido de caja paramétrica, un cuboide rectangular. En el sistema de coordenadas definido por su propiedad DatosPlacement, la cara inferior de la caja se encuentra en el plano XY con su esquina frontal izquierda en el origen y su borde frontal paralelo al eje X.
Uso
Las propiedades se pueden editar después en la pestaña de datos del cubo:
Ejemplo

A Part Box object created with the scripting example below is shown here.
Notas
- A Part Box can also be created with the
Part Primitives command. With that command you can specify the dimensions and placement at creation time.
Propiedades
Ver también: Editor de propiedades.
A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Datos
Attachment
The object has the same attachment properties as a Part Part2DObject.
Box
Box
- DATOSLength o Longitud: Dimensiones del Cubo en la dirección X.
- DATOSWidth o Anchura: Dimensiones del Cubo en la dirección Y.
- DATOSHeight o Altura: Dimensiones del Cubo en la dirección Z.
Programación
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
Programación
El comando Box (Cubo) puede ser usado en las macros y desde la consola de Python usando la siguiente función:
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
- Donde "myBox" es el nombre del objeto Cubo.
- Devuelve un nuevo objeto creado de tipo Cubo.
Ejemplo:
import FreeCAD as App
doc = App.activeDocument()
box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))
doc.recompute()
- Primitives: Box, Cylinder, Sphere, Cone, Torus, Tube, Create primitives, Shape builder
- Creation and modification: Create sketch, Extrude, Revolve, Mirror, Scale, Fillet, Chamfer, Make face from wires, Ruled Surface, Loft, Sweep, Section, Cross sections, 3D Offset, 2D Offset, Thickness, Projection on surface, Color per face
- Boolean: Make compound, Explode compound, Compound Filter, Boolean, Cut, Union, Intersection, Connect objects, Embed object, Cutout for object, Boolean fragments, Slice apart, Slice to compound, Boolean XOR, Check geometry, Defeaturing
- Other tools: Import CAD file, Export CAD file, Box selection, Create shape from mesh, Create points object from geometry, Convert to solid, Reverse shapes, Create simple copy, Create transformed copy, Create shape element copy, Refine shape, Attachment
- Preferences: Preferences, Fine tuning

- Getting started
- Installation: Download, Windows, Linux, Mac, Additional components, Docker, AppImage, Ubuntu Snap
- Basics: About FreeCAD, Interface, Mouse navigation, Selection methods, Object name, Preferences, Workbenches, Document structure, Properties, Help FreeCAD, Donate
- Help: Tutorials, Video tutorials
- Workbenches: Std Base, Assembly, BIM, CAM, Draft, FEM, Inspection, Material, Mesh, OpenSCAD, Part, PartDesign, Points, Reverse Engineering, Robot, Sketcher, Spreadsheet, Surface, TechDraw, Test Framework
- Hubs: User hub, Power users hub, Developer hub